/** Circle.java
 *
 *  Eine Klasse von Kreisen in der Ebene
 */

public class Circle extends Point {

  // neue Datenelemente
  private int r;	// Radius

  // Konstruktoren
  public Circle(int x, int y, int r, String color) {
    super(x,y,color);	// Konstruktor von Point
    this.r = r;
  }

  // neue Methoden
  public int getSize() {
    return r;
  }

  public void resize(int r) {
    this.r = r;
  }

  public double area() {
    return Math.PI*r*r;
  }
}

// Circle
