/** Circle_0.java
 * 
 *  ein erster Entwurf einer Klasse von Kreisen in der Ebene
 */

public class Circle_0 {

  // Datenelemente
  private int x, y;	// Mittelpunkt
  private int r;	// Radius
  private String color;

  // Konstruktoren
  public Circle_0(int x, int y, int r, String color) {
    this.x = x;
    this.y = y;
    this.r = r;
    this.color = color;
  }

  // Methoden zum Abfragen der Werte der Datenelemente
  public int getX() {
    return x;
  }

  public int getY() {
    return y;
  }

  public int getSize() {
    return r;
  }

  public String getColor() {
    return color;
  }

  // weitere Methoden
  public void moveTo(int x, int y) {
    this.x = x;
    this.y = y;
  }

  public void moveRel(int dx, int dy) {
    x += dx;
    y += dy;
  }

  public void resize(int r) {
    this.r = r;
  }

  public void setColor(String color) {
    this.color = color;
  }

  public double area() {
    return Math.PI*r*r;
  }
}

// Circle_0
