/** Square.java
 *
 *  Eine Klasse von Quadraten in der Ebene
 */

public class Square extends Point {

  // neue Datenelemente
  private int a;	// Kantenlaenge

  // Konstruktoren
  public Square(int x, int y, int a, String color) {
    super(x,y,color);	// Konstruktor von Point
    this.a = a;
  }

  // neue Methoden
  public int getSize() {
    return a;
  }

  public void resize(int a) {
    this.a = a;
  }

  public int area() {
    return a*a;
  }
}

// Square
