/** Square_0.java
 * 
 *  ein erster Entwurf einer Klasse von Kreisen in der Ebene
 */

public class Square_0 {

  // Datenelemente
  private int x, y;	// linker oberer Eckpunkt
  private int a;	// Kantenlaenge
  private String color;

  // Konstruktoren
  public Square_0(int x, int y, int a, String color) {
    this.x = x;
    this.y = y;
    this.a = a;
    this.color = color;
  }

  // Methoden zum Abfragen der Werte der Datenelemente
  public int getX() {
    return x;
  }

  public int getY() {
    return y;
  }

  public int getSize() {
    return a;
  }

  public String getColor() {
    return color;
  }

  // weitere Methoden
  public void moveTo(int x, int y) {
    this.x = x;
    this.y = y;
  }

  public void moveRel(int dx, int dy) {
    x += dx;
    y += dy;
  }

  public void resize(int a) {
    this.a = a;
  }

  public void setColor(String color) {
    this.color = color;
  }

  public int area() {
    return a*a;
  }
}

// Square_0
